Function
goEnd
Iterates to the last position of a container.
goEnd(iterator [, container])
goEnd(finder)
Include Headers
seqan/basic.h, seqan/find.h, seqan/graph_types.h
Parameters

iterator | Object that iterates through container. iterator is set to the position behin the last item in container. Types: RootedIteratorConcept: AnnotationTree Iterator Adjacency Iterator, Bfs Iterator, BottomUp Iterator, Dfs Preorder Iterator, Edge Iterator, Iter, Out-Edge Iterator, Segment, TopDownHistory Iterator, Vertex Iterator
container | Container of iterator. Types: ContainerConcept Remarks: If iterator implements RootedIteratorConcept then container is optional, otherwise container is required.

Remarks
This function is equivalent to iterator = end(container).
Member of
Bfs Iterator, BottomUp Iterator, Edge Iterator, Segment, Iter, Vertex Iterator, Dfs Preorder Iterator, Out-Edge Iterator, Adjacency Iterator, TopDownHistory Iterator, Finder
Example Programs
Iterator Basics
Part of Concept
RootedIteratorConcept, RootedRandomAccessIteratorConcept
See Also
atEnd, end, goBegin, goPrevious, goEnd, goNext
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58